Project

General

Profile

Bug #16353

rpm: drop obsolete -compat metapackages

Added by Nathan Cutler about 4 years ago. Updated almost 4 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
-
Target version:
-
% Done:

0%

Source:
Community (dev)
Tags:
Backport:
Regression:
Severity:
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

The RPM spec file has a bunch of -compat metapackages that were put there long ago for reasons that made sense at the time [1]

By Jewel, everyone will have brought in the newer packages by upgrading via Firefly and Hammer, so the -compat metapackages can be dropped.

[1] https://github.com/ceph/ceph/commit/6c264f22

History

#1 Updated by Ken Dreyer about 4 years ago

  • Status changed from New to Fix Under Review

#2 Updated by Nathan Cutler about 4 years ago

  • Description updated (diff)

#3 Updated by Nathan Cutler about 4 years ago

  • Tracker changed from Tasks to Bug
  • Source set to Community (dev)
  • Backport set to jewel

Backport note: #16345, #16346, and #16353 should be combined into a single backport PR to avoid merge conflicts.

#4 Updated by Nathan Cutler almost 4 years ago

  • Status changed from Fix Under Review to 7
  • Backport deleted (jewel)

Jewel is already released: we cannot drop stuff.

#5 Updated by Nathan Cutler almost 4 years ago

  • Status changed from 7 to Resolved

#6 Updated by Nathan Cutler almost 4 years ago

Note that the scope of this fix was narrowed even further because python-ceph-compat has to be preserved as long as there are tests in ceph-qa-suite master that install firefly.

Also available in: Atom PDF